# hy-menu-language

<!-- Auto Generated Below -->

## Properties

| Property           | Attribute            | Description | Type                          | Default     |
| ------------------ | -------------------- | ----------- | ----------------------------- | ----------- |
| `dataMenuLanguage` | `data-menu-language` |             | `MenuLanguage[] \| string`    | `undefined` |
| `isGroup`          | `is-group`           |             | `boolean`                     | `false`     |
| `isMobile`         | `is-mobile`          |             | `boolean`                     | `false`     |
| `labels`           | `labels`             |             | `ComponentLabels[] \| string` | `undefined` |

## Events

| Event                 | Description | Type               |
| --------------------- | ----------- | ------------------ |
| `menuLanguageToggled` |             | `CustomEvent<any>` |

## Dependencies

### Used by

- [hy-menu](../menu)
- [hy-site-header](../../site-header)

### Depends on

- [hy-menu-language-item](../menu-language-item)
- [hy-icon](../../icon)

### Graph

```mermaid
graph TD;
  hy-menu-language --> hy-menu-language-item
  hy-menu-language --> hy-icon
  hy-menu --> hy-menu-language
  hy-site-header --> hy-menu-language
  style hy-menu-language fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
